%global momorel 7

Summary: Visualisation plugins for applications based on libvisual
Name: libvisual-plugins
Version: 0.2.0
Release: %{momorel}m
License: GPL
URL: http://localhost.nl/~synap/libvisual/
Group: System Environment/Libraries
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/libvisual/%{name}-%{version}.tar.gz b7c7dcae33a510af36c6bb9cdb7133dd
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: %{name}-lib64.patch
Patch1: %{name}-asmfix.patch
Requires: libvisual = %{version}
BuildRequires: libvisual-devel = %{version}
BuildRequires: esound-devel, alsa-lib-devel, jack-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: mesa-libGLU-devel

%description
Libvisual is a library that acts as a middle layer between applications
that want audio visualisation and audio visualisation plugins.

This package contains the libvisual example plugins.

%prep
%setup -q
%patch0 -p1 -b .lib64
%patch1 -p0 -b .asmfix

%build
%ifarch %{ix86}
   export CFLAGS="%{optflags} -mmmx"
%endif
%configure \
	--x-includes=%{_includedir}/X11 \
	--x-libraries=%{_libdir} \
	--disable-dancingparticles
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/libvisual/actor/*
%{_libdir}/libvisual/input/*
%{_libdir}/libvisual/morph/*
%{_datadir}/libvisual/actor/*
%{_datadir}/libvisual-plugins

%changelog
* Wed Jun 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-7m)
- disable dancingparticles, it doesn't work

* Wed Jun 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-6m)
- Requires: libvisual = %%{version} for yum

* Tue Jun 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-5m)
- version down to 0.2.0 for stable release

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-2m)
- import libvisual-plugins-ac.patch from PLD Linux
 +- Revision 1.13  2006/03/22 21:24:35  qboosh
 +- updated to 0.4.0, added ac patch, packaging cleanups/fixes
- add libvisual-plugins-0.4.0-G-Force.patch
- add libvisual-plugins-0.4.0-madspin.patch

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- update to version 0.4.0 for amarok-1.4.1
- remove lib64.patch

* Sun Mar 26 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-4m)
- add --x-includes and --x-libraries to configure

* Fri Jan  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-3m)
- import libvisual-plugins-asmfix.patch from opensuse
 +* Thu Apr 28 2005 - hvogel@suse.de
 +- fix asm code in display.c
- use -mmmx on x86

* Wed Feb 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-2m)
- rebuild with jack

* Sat Feb 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- update to 0.2.0
- import lib64.patch from SUSE 9.2 supplementary

* Thu Dec  9 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.7-1m)
- update to 0.1.7

* Thu Sep 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.6-1m)
- import from cooker

* Mon Sep 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.6-1mdk
- requires new libvisual
- New release 0.1.6

* Thu Jul  1 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- initial package
